edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
MenuTooltip Class Reference

Tooltip support inside menus. More...

`#include <edelib/MenuTooltip.h>`

## Static Public Member Functions
static void | enter_area (Fl_Widget *w, int X, int Y, int W, int H, const char *tip)
static void | current (Fl_Widget *)
static Fl_Widget * | current (void)

## Detailed Description

Tooltip support inside menus.

This class allows menu items (see MenuItem) to have tooltips. Unfortunately, Fl_Tooltip can't be used as it does not allow displaying menu window alongside the tooltip window.

MenuTooltip is used internally by MenuItem class, so you should not use it directly; use Fl_Tooltip instead. Also MenuTooltip will use the same preferences as Fl_Tooltip, like background color, delay time, color and etc.

## Member Function Documentation

static void current | ( | Fl_Widget * |  | ) |
| static

Same as Fl_Tooltip::current(Fl_Widget*)

static Fl_Widget* current | ( | void |  | ) |
| inline static

Same as Fl_Tooltip::current()

static void enter_area | ( | Fl_Widget * | w,
|  | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | tip
| ) |  |
| static

Behaves the same as Fl_Tooltip::enter_area() member.

The documentation for this class was generated from the following file:

- edelib/MenuTooltip.h